For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
            • POSTCreate Site
            • GETList Sites
            • GETGet Site
            • PUTUpdate Site
            • DELDelete Site
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementSites

Update Site

PUT
https://api.bigcommerce.com/stores/:store_hash/v3/sites/:site_id
PUT
/stores/:store_hash/v3/sites/:site_id
$curl -X PUT https://api.bigcommerce.com/stores/store_hash/v3/sites/site_id \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
200Example
1{
2 "data": {
3 "id": 23,
4 "url": "https://example.com",
5 "channel_id": 234,
6 "created_at": "2018-01-04T04:15:50.000Z",
7 "updated_at": "2018-01-04T04:15:50.000Z",
8 "urls": [
9 {
10 "url": "https://example.com",
11 "type": "primary",
12 "created_at": "2020-11-03T19:26:12Z",
13 "updated_at": "2021-08-31T21:46:50Z"
14 },
15 {
16 "url": "https://store-29i23fcz6.mybigcommerce.com",
17 "type": "canonical",
18 "created_at": "2020-11-03T19:26:12Z",
19 "updated_at": "2020-11-03T19:26:12Z"
20 },
21 {
22 "url": "https://checkout.example.com",
23 "type": "checkout",
24 "created_at": "2020-11-03T19:26:12Z",
25 "updated_at": "2021-08-31T21:46:50Z"
26 }
27 ],
28 "is_checkout_url_customized": true
29 },
30 "meta": {}
31}

Update a site with site ID {site_id}.

Was this page helpful?
Previous

Get Site

Next

Delete Site

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Channel Listingsmodifystore_channel_listings
Channel Listingsread-onlystore_channel_listings_read_only
Channel Settingsmodifystore_channel_settings
Channel Settingsread-onlystore_channel_settings_read_only
Sites & Routesmodifystore_sites
Sites & Routesread-onlystore_sites_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

site_idstringRequired
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Request

This endpoint expects an object.
urlstringOptional

The Fully Qualified URL (including host and scheme) where this site is hosted. All URLs generated for this site will be appended to this.

Response

dataobject
metaobject
Response metadata.

The MIME type of the response body.